// Brief Public Displays of Affection
// You get to pick from a set of three every ten real minutes.


APPEND IMOEN25J

// PDA0

IF ~~ THEN PDA0-1
	SAY ~(Imoen receives your caress with a warm smile. She takes your hand and kisses it, and then places it on her heart while looking into your eyes.) I'm with you.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA0-2
	SAY ~(The kiss with which you briefly caress Imoen's lips seems to surprise her. She's blushed slightly.)~
	= ~ Sometimes it's still weird, y'know? (She slips her arms around your waist.) But in a good way. (She leans forward for you to kiss her once again, her eyes half-closed as her lips await yours.)~
	++ ~(Make your lips join hers in a tender, delicate moment.)~ GOTO PDA0-2d
	++ ~(With passion you embrace her tightly and kiss her with heartfelt need.)~ GOTO PDA0-2c
	++ ~(Time runs short but not enough to stop you from another quick peck.)~ GOTO PDA0-2b
	++ ~(You disappoint her inviting lips but subtly caress her cheek with the back your hand.) I'm glad you're here with me, Imoen.~ GOTO PDA0-2a
END

IF ~~ THEN PDA0-2a
	SAY ~(Her eyes pop open as if she has just come back to reality, looking confused for a very brief moment. Your words make her smile warmly.) Of course. Always by your side, <CHARNAME>. Always.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA0-2b
	SAY ~(She clasps her hands around yours and squeezes gently, clearly enjoying your attention.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA0-2c
	SAY ~Mmmh! (Imoen lets you do as you will, pressing herself against you as your tongues play a game of their own. By the time your lips part, she's looking pleasantly dazed.)~
	= ~Whew. Nice. (She takes your hand from her hip and, after kissing it, holds it to her heart.) Procrastination at its best.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA0-2d
	SAY ~(Her mouth is soft warmth against yours. You feel her smile on your lips, and you can almost hear her voice sweetly whispering "I love you" with her every twitch and gesture.)~
	= ~(Her hands hold your face and she continues to caress you after you lips part.) I'm always with you, <CHARNAME>. Always.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA0-3
	SAY ~(As you whisper your love to her, Imoen just smiles. She sighs and lifts her hand to your cheek.) My love... (She lovingly strokes your skin, and then presses her lips to yours softly.)~
	IF ~~ THEN EXIT
END

// PDA1

IF ~~ THEN PDA1-1
	SAY ~(You say nothing, just hold hands with her. As you entwine your fingers with hers, she draws closer to you and softly kisses your shoulder.) Your hand is cold.~
	= ~(Imoen lifts her clothes and surreptitiously holds your hand to her skin in an attempt to warm it up.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA1-2
	SAY ~(She guesses your intent and melds into your arms, smiling in pleasure and holding you tight against herself. Her voice reaches your ears in a whisper.)~
	= ~I love being like this... (She cuddles a bit deeper into you.) Things don't seem so bad anymore.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA1-3
	SAY ~(She doesn't let you go when your mouth touches hers, prolonging the kiss while placing her hand in the back of your head. Your lips part with a loud smack.)~
	= ~Sorry, gotta remind anyone that's watching that yer mine.~
	IF ~~ THEN EXIT
END

/// PDA2

IF ~~ THEN PDA2-1
	SAY ~Tell me somethin' I don't know, hot stuff. (She winks at you.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA2-2
	SAY ~(She smiles widely.) Ah-ha, it's just a ploy. Everybody's got a permanent scowl on their face, but not me. Nobody expects the smiling girl to burn the place down to the ground. And by the time they realize who they're dealing with... it'll be too late.~
	= ~Backstab with a smile, that's the motto.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA2-3
	SAY ~Pfah hah, as well you should! *Someone*'s gotta come up with a plan to save your behind at every turn. You'd do well to bow before me and always do as I say. It's no wonder we're getting in trouble all the time.~
	= ~(Despite her words Imoen is blushing, visibly pleased by your praise.)~
	IF ~~ THEN EXIT
END

// PDA3

IF ~~ THEN PDA3-1
	SAY ~(At the last possible moment, Imoen guesses your intentions and safely dances away from your grasp - but not before you set her on a giggling spree.)~
	= ~Ooooh, you sneaky chipmunk, you! I gotta watch my back with ya all the time. Keep it up, we'll see what happens when you doze off...~
IF ~~ THEN EXIT
END

IF ~~ THEN PDA3-2
SAY ~What? What is it? Something on my face?~
	++ ~Only the most beautiful features ever conceived.~ + PDA3-2a
	++ ~You have quite the zit on your chin.~ + PDA3-2b
	++ ~Can't a <PRO_MANWOMAN> admire <PRO_HISHER> girlfriend in peace?~ + PDA3-2c
	++ ~No, no, don't mind me.~ + PDA3-2d
END

IF ~~ THEN PDA3-2a
	SAY ~(Her cheeks color a pleased pink.) Jeez, you big flatterer. Fell right into that one.~
	= ~Yer not a bad looker yourself. (She cups your cheeks in her hands and gives you an appreciative kiss.)~
	IF ~~ THEN EXIT
END
	
IF ~~ THEN PDA3-2b
	SAY ~What? No I don't! (Imoen self-consciously runs her fingers over her skin. Not finding anything, she swats at you.)~
	= ~You fat liar, I knew I didn't, I checked this morning!~
	= ~(She swats at you again and steps away.) Dumb <CHARNAME>, thinks <PRO_HESHE>'s so funny, I'll show <PRO_HIMHER>, just wait 'til <PRO_HESHE> falls asleep...~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA3-2c
	SAY ~Hah, no, you quit that, it's creepy! Standing there, just staring. Shouldn't you be doin' something important?~
	= ~(Despite her words, Imoen's cheeks have colored a very pleased pink.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA3-2d
	SAY ~Aaaalrighty then.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA3-3
	SAY ~(Sensing your proximity, Imoen slips an arm around your waist and squeezes you against her. She lingers wordlessly until it is time to move again.)~
	IF ~~ THEN EXIT
END

// PDA4

IF ~~ THEN PDA4-1
  SAY ~(She sticks the tip of her tongue out at you, arching her eyebrows in a funny way.)~
  IF ~~ THEN EXIT
END

IF ~~ THEN PDA4-2
  SAY ~(Soft giggles slip past her lips as she watches you.) Y'sure you wanna do that? I haven't had a chance to wash my hands yet.~
  = ~Hey, but who am I to stop the mighty <CHARNAME>. Do whatever you please, by all means.~
  IF ~~ THEN EXIT
END

IF ~~ THEN PDA4-3
  SAY ~(She absently entangles her fingers with yours, almost in a routine gesture. Her hand is cold to the touch.)~
  IF ~~ THEN EXIT
END

// PDA5

IF ~~ THEN PDA5-1
	SAY ~(She lets out a soft gasp.) Mmmmm...~
	= ~(Turning around, she gives your own neck a soft bite, her tongue darting out to graze your skin. She lifts her mouth to your ear, and you can feel the warmth of her breath as she whispers.) I love you, <CHARNAME>.~
	= ~(She stays by your side for a little while, holding hands.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA5-2
	SAY ~Gah! (Though she saw you coming, she makes no effort to stop your "assault". Her eyes are squeezed tightly shut.)~
	= ~(When your motion to part, you find your lower lip held fast between Imoen's teeth. She gives you a meaningful look, somewhere between amusement and defiance.)~
	= ~(She lets go, and her smile conveys the same ambiguous emotion of being pleased and upset at the same time.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA5-3
	SAY ~Ooooh boy... (Your efforts send literal shivers down Imoen's spine.) Oh, <CHARNAME>, soooo good... (She continues moaning lightly in sheer pleasure.)~
	= ~(She sighs deeply once you're done.) Thank you so much. You'll get a good one too when we rest, I promise. (She smiles and gives you a quick hug before parting.)~
	IF ~~ THEN EXIT
END

// PDA6

IF ~~ THEN PDA6-1
	SAY ~Aw, gee, you big flatterer. It's in serious need of washing again.~
	= ~But, um, (She shrugs coyly in a cute gesture, smiling with diffidence.) Thanks?~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA6-2
	SAY ~Hah, yeah, the absolute worst part. The greatest challenge of them all is keeping my hands off ya for long enough to deal with the people trying to kill us.~
	= ~Alas, we'll just have to soldier through. We can make it as long as we stick together.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA6-3
	SAY ~Oh, I'm... alright, I guess? Nothing outside what you'd expect. S'all good over here, thanks for asking.~
	= ~Except, I do have a crazy strong cookie craving right now...~
  IF ~~ THEN EXIT
END

// PDA7

IF ~~ THEN PDA7-1
  SAY ~(Imoen brings her hand to yours and squeezes you back. Her hips bump against your side in an affectionate gesture.)~
  IF ~~ THEN EXIT
END

IF ~~ THEN PDA7-2
  SAY ~(Imoen smiles back. Then she makes a silly face. She continues making dumb faces, the next more silly than the last, until you finally look away.)~
  IF ~~ THEN EXIT
END

IF ~~ THEN PDA7-3
	SAY ~I sure hope so, I'm working so hard to be likeable, y'know. It's a tough job.~
	= ~I'm happy I'm around too, silly <PRO_GIRLBOY>.~
	IF ~~ THEN EXIT
END

// PDA8

IF ~~ THEN PDA8-1
	SAY ~Ooooogh, my goodness... (She leans her neck this way and that, subtly guiding your fingers. Imoen absolutely *loves* getting massaged and won't ever turn down such an opportunity.)~
	= ~Mmh, yeeeeah... (She continues to moan and sigh as your hands ease the tension in her sore muscles. She is nearly purring by the time you're done.)~
	= ~Wow, thanks so much for that. (Imoen turns around and plants a cheery kiss on your cheek.) You're so very nice to me.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA8-2
  SAY ~Oof. (Imoen does her best to reciprocate, but your squeeze leaves her mostly incapacitated.)~
  = ~I love you too, <CHARNAME>. Whatever brought that on, I'm not complaining...~
  IF ~~ THEN EXIT
END

IF ~~ THEN PDA8-3
	SAY ~Whoa, hey! (Despite her protest, a fair bit of amusement shows through. She doesn't seem to know whether to scowl or laugh.)~
	= ~"Boop"? Really?~
	= ~Whatever that was, you get a pass this time around, but don't get used to it!~
	IF ~~ THEN EXIT
END

// PDA9

IF ~~ THEN PDA9-1
	SAY ~(Imoen's eyes widen in a very satisfying manner, looking at you with scandalized amusement. She swats your shoulder in a playful gesture.) <CHARNAME>! That's... *so* not appropriate for people of our stature.~
	= ~Bring it up again later, though. (Her smile turns to mischief.) When we're in private.~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA9-2
	SAY ~W- whoa, quit that... (She shudders in your arms. Her cheeks have already warmed.) What are you tryin' to do? This isn't the place...~
	= ~(She deftly untangles herself from you.) That was downright mean. Shame on you, <CHARNAME>. Shame!~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA9-3
  SAY ~(She briefly looks up, checks that it's only you, and goes on minding her business.)~
  IF ~~ THEN EXIT
END

// PDA10

IF ~~ THEN PDA10-1
	SAY ~Ow! (Her lips draw an exaggerated pout.) That hurts! You're mean...~
	++ ~Take it like a grown woman, little girl!~ + PDA10-1a
	++ ~(Poke her again to tickle her.)~ + PDA10-1b
	++ ~(Poke her again for the fun of hurting her.)~ + PDA10-1b
	++ ~I grew immune to that face years ago, Imoen.~ + PDA10-1c
	++ ~Aww, c'mon, I'm sorry, I just wanted to play with you...~ + PDA10-1d
	++ ~Curses, it is the Pouty Face! My only weakness! (Pretend to choke to death.)~ + PDA10-1e
END

IF ~~ THEN PDA10-1a
  SAY ~(Imoen gives you the look of a scandalized noblewoman.) My, but you have some nerve! Begone now, you uncouth warthog! (She scoffs smartly, turns around with a dramatic hair-flip, and walks away.)~
	IF ~~ THEN DO ~RunAwayFrom(Player1,30)~ EXIT
END

IF ~~ THEN PDA10-1b
  SAY ~Ow, no, stoooop! (Before she starts giggling uncontrollably, Imoen darts away from your touch.) Muh! You uncouth warthog! (She turns around with a dramatic hair-flip and walks away.)~
	IF ~~ THEN DO ~RunAwayFrom(Player1,30)~ EXIT
END

IF ~~ THEN PDA10-1c
  SAY ~Muh. Well, in that case, um. Pfah! (She turns around with a dramatic hair-flip and walks away.)~
	IF ~~ THEN DO ~RunAwayFrom(Player1,30)~ EXIT
END

IF ~~ THEN PDA10-1d
	SAY ~No! (She brings the back of her hand to her forehead, looking away dramatically.) No, you have hurt me so. I must have some time to recover. I hope that in this time you consider the dire consequences of your actions. Moh!~
	= ~(Imoen turns around with an exaggerated hair-flip and walks away.)~
	IF ~~ THEN DO ~RunAwayFrom(Player1,30)~ EXIT
END

IF ~~ THEN PDA10-1e
	SAY ~Ahahah! you doofus. Serves you right! Don't you ever force me to use it again, it's far too powerful.~
	= ~(Imoen plants a light kiss on your nose and walks away.)~
	IF ~~ THEN DO ~RunAwayFrom(Player1,30)~ EXIT
END

IF ~~ THEN PDA10-2
	SAY ~(Imoen leans against you, letting out a sigh.) Of all the gods out there, it had to be *Bhaal* who foresaw his downfall and left a bunch of progeny behind. It couldn't have been, I dunno... Cookiessa, Goddess of Treats. Or Gorgeousonia, Matron of Pretty Things. No, it had to the blasted Lord of Murder.~
	= ~Ya know what that is? It's a heapin' load of crap, is what it is. (She pauses for a moment.) I dunno where I was going with this, but venting feels good, okay?~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA10-3
  SAY ~Ee! (She jumps in place, her hand darting out to slap yours away.) you startled me! You startled me in the butt!~
  = ~Naughty, naughty <CHARNAME>... Shame on you! (She backs away while giving you a hurt frown, absently rubbing her tush with her hand.)~
  IF ~~ THEN DO ~RunAwayFrom(Player1,20)~ EXIT
END

// PDA11

IF ~~ THEN PDA11-1
  SAY ~(Her concerned look shifts to a flattered smile.) Ha, you got me going for a moment there. Aren't you cute, you just earned a big session of smooches next time we stop, mm-hmm, yes <PRO_SIRMAAM>.~
  = ~I'm gonna start getting suspicious if you keep butterin' me up like this...~
  IF ~~ THEN EXIT
END

IF ~~ THEN PDA11-2
	SAY ~Oh, um. Nothing much. Stuff. Grim stuff, mostly, you know how it is. Bhaal, all the killing we gotta do, how damn itchy this undershirt turned out. Dire things indeed.~
	= ~Seriously though, I've lost count of how many people and things we've had to kill. I used to keep count, y'know? Each death had a name, or at least a description... but I gave that up a long while ago. And I was thinking just now, that's such a terrible thing, isn't it?~
	= ~It's just the way of things, I guess...~
	IF ~~ THEN EXIT
END
END

CHAIN IMOEN25J PDA11-3
~(She lets out a flustered laugh.) Goodness, yer layin' it on thick. Makes me wonder whatcher after... (She leans forward and gives your lips a gentle kiss, then passes one arm around your waist and sighs.)~
== IMOEN25J IF ~GlobalGT("IRTLoveMeter","GLOBAL",10)~ THEN ~I'm the lucky one, though. You could've had anyone, but you love *me*. Even if it means to be constantly fighting for our lives, I wouldn't trade places with anyone. I'm so lucky to be by your side.~
== IMOEN25J IF ~!GlobalGT("IRTLoveMeter","GLOBAL",10)~ THEN ~I'll be honest, you don't always show you feel this way. But... I get it. You've far too much on your plate. I still love you, I really do.~
== IMOEN25J ~(Imoen stays by your side for a while, enjoying your proximity.)~
EXIT

// PDA12

APPEND IMOEN25J
IF ~~ THEN PDA12-1
	SAY ~Yikes! (Imoen jumps in place and looks around her to see if someone saw you. Apparently satisfied with her survey, she turns to address you.) You can't be doing things like that all out of the blue. If you think you can get away with such brazen behavior, you are sorely mistaken. You just made a declaration of war, <PRO_SIRMAAM>. There will be... repercussions.~
	= ~Bedroll repercussions. While you are sleeping. Mark my words, you will regret this day...~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA12-2
  SAY ~(She smiles plainly, her demeanor the picture of contentment.) I love you too, <CHARNAME>.~
  IF ~~ THEN EXIT
END

IF ~~ THEN PDA12-3
  SAY ~(Though she enjoys your contact at first, her face soon turns sour.) Mmuh. Yer hand smells funky, like a weapon's handle. Yucky.~  
  IF ~~ THEN EXIT
END

// PDA13

IF ~~ THEN PDA13-1
	SAY ~(Wordlessly Imoen leans against you, letting you support her slight frame.)~
	++ ~(Kiss the back of her head.)~ + PDA13-1a
	++ ~(Kiss her neck.)~ + PDA13-1b
	++ ~(Bite her ear.)~ + PDA13-1c
	++ ~(Smell her hair.)~ + PDA13-1b3
	++ ~(Remain in motionless contentment.)~ + PDA13-1d
END

IF ~~ THEN PDA13-1a  
	SAY ~(Imoen sighs lightly and searches for your hand, giving it a loving squeeze.)~
	++ ~(Kiss her neck.)~ + PDA13-1b
	++ ~(Bite her ear.)~ + PDA13-1c
	++ ~(Smell her hair.)~ + PDA13-1b3
	++ ~(Squeeze her tight against your chest.)~ + PDA13-1b2
	++ ~(Remain in motionless contentment.)~ + PDA13-1d
END
	
IF ~~ THEN PDA13-1b
	SAY ~Mm... (Imoen leans her head the other way, giving you easier access. She brings a hand to your jaw and brushes her knuckles against your skin.)~
	++ ~(Continue kissing her, traveling from neck to the back of her ear.)~ + PDA13-1b1
	++ ~(Squeeze her tight against your chest.)~ + PDA13-1b2
	++ ~(Breathe in her scent.)~ + PDA13-1b3
	++ ~(Kiss her one last time and gently let go.)~ + PDA13-1b4
END

IF ~~ THEN PDA13-1b1
	SAY ~(Her head lulls and sways subtly with each of your kisses, and you feel her get on her tip-toes as you draw closer to her ear.)~
	= ~<CHARNAME>, what are you doing...~
	= ~(She turns around, facing you.) Let's not get carried away, I'll go weak in the knees if you don't stop. (Despite her words she leans in and presses her mouth to yours. Your lips tangle and lock for long delightful moments. Her tongue still tastes of the dried fruits she was snacking on earlier.)~
	= ~(Your mouths part, and she takes a deep breath of your scent before leaning back.) We really should get going. (Imoen takes your hand and kisses it.) Hold the thought till bedtime...~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA13-1b2
	SAY ~(Her head lulls back, resting on your strength. For long moments she wordlessly relishes your touch, content to remain in your tight embrace.)~
	= ~(Imoen turns around and puts her arms around your neck.) We really should get going... (Despite her words she leans in a presses her mouth to yours. Your lips tangle and lock for a delightful minute, tongues touching, darting and caressing. After your lips part she takes a deep breath of your scent, then pulls away.)~
	= ~Hold that thought till bedtime...~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA13-1b3
	SAY ~(She chuckles softly, leaning more of her weight against you.) I used to think it was weird for lovers to smell each other like that. (She turns around and puts her arms around your neck.) Now I totally get it...~
	= ~(Imoen leans into your collar and breathes your scent in deep.) The way you smell drives me wild. (She kisses the side of your neck, lightly.) Hold that thought until bedtime...~
	= ~(She leaves your side with a dreamy half-smile on her lips.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA13-1b4
	SAY ~(As you let her go, Imoen turns around and brings your hand to her lips. Without saying anything she kisses it softly, eyes locked on yours. She gives you a loving smile before parting.)~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA13-1c
	SAY ~Oo-o-oh, too much... (You feel Imoen shudder before she takes a step away from you.) You know how much that gets to me.~
	= ~(She looks at you with a dreamy half-smile.) Hold that thought till bedtime...~
	IF ~~ THEN EXIT
END

IF ~~ THEN PDA13-1d
	SAY ~(For long moments you give comfort to one another, blocking away your surroundings to bask in the simple pleasure of your proximity. In your quiet embrace you feel her heartbeat on your skin, her chest expand and contract with her breaths, the rustle of cloth on cloth and leather and metal. She brings your hands to her lips and kisses them softly, repeatedly.)~
	= ~(With a deep sigh she takes a small step, her hands still holding on to yours.) No matter where we go... if we can have this, then I'm okay. It doesn't matter how bad it gets.~
	= ~I love you, <CHARNAME>.~
	IF ~~ THEN EXIT
END
END
